For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet an entity's bank accounts
      • POSTCreate an entity bank account
      • GETGet an entity's bank account
      • DELDelete an entity's bank account
      • PATCHUpdate an entity's bank account
      • POSTSet an entity's bank account as the default for its currency
      • POSTVerify an entity bank account
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity bank accounts

Create an entity bank account

POST
/bank_accounts
POST
/v1/bank_accounts
$curl -X POST https://api.sandbox.monite.com/v1/bank_accounts \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "country": "AF",
> "currency": "AED"
>}'
1{
2 "id": "id",
3 "open_banking_verification_status": "not_verified",
4 "account_holder_name": "Cayla Lloyd",
5 "account_number": "12345678",
6 "account_number_last4": "5678",
7 "bank_name": "Deutsche Bank",
8 "bic": "DEUTDEFFXXX",
9 "country": "AF",
10 "currency": "AED",
11 "display_name": "Primary account",
12 "iban": "DE74500700100100000900",
13 "is_default_for_currency": true,
14 "open_banking_verification_error": "open_banking_verification_error",
15 "routing_number": "routing_number",
16 "sort_code": "123456",
17 "was_created_by_user_id": "was_created_by_user_id"
18}
Add a new bank account for the specified entity. The minimum required fields are `currency` and `country`. Other required fields depend on the currency: * EUR accounts require `iban`. * GBP accounts require `account_holder_name`, `account_number`, and `sort_code`. * USD accounts require `account_holder_name`, `account_number`, and `routing_number`. * Accounts in other currencies require one of: * `iban` * `account_number` and `sort_code` * `account_number` and `routing_number`
Was this page helpful?
Previous

Get an entity's bank account

Next
Built with

Add a new bank account for the specified entity.

The minimum required fields are currency and country. Other required fields depend on the currency:

  • EUR accounts require iban.
  • GBP accounts require account_holder_name, account_number, and sort_code.
  • USD accounts require account_holder_name, account_number, and routing_number.
  • Accounts in other currencies require one of:
    • iban
    • account_number and sort_code
    • account_number and routing_number

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
countryenumRequired
The country in which the bank account is registered, repsesented as a two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
currencyenumRequired
The currency of the bank account, represented as a three-letter ISO [currency code](https://docs.monite.com/references/currencies).
account_holder_namestringOptional
The name of the person or business that owns this bank account. Required in the following cases: * the account currency is GBP or USD, * the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.
account_numberstringOptional
The bank account number. Required if the account currency is GBP or USD. UK account numbers typically contain 8 digits. US bank account numbers contain 9 to 12 digits.
bank_namestringOptional
The bank name.
bicstringOptional<=11 characters

The SWIFT/BIC code of the bank.

display_namestringOptional

User-defined name of this bank account, such as ‘Primary account’ or ‘Savings account’.

ibanstringOptional<=34 characters
The IBAN of the bank account. Required if the account currency is EUR.
is_default_for_currencybooleanOptionalDefaults to false

If set to true or if this is the first bank account added for the given currency, this account becomes the default one for its currency.

routing_numberstringOptional

The bank’s routing transit number (RTN). Required if the account currency is USD. US routing numbers consist of 9 digits.

sort_codestringOptional
The bank's sort code. Required if the account currency is GBP.

Response

Successful Response
idstringformat: "uuid"
Unique ID of the bank account.
open_banking_verification_statusenum
Open banking verification status
account_holder_namestring

The name of the person or business that owns this bank account. Required in the following cases:

  • the account currency is GBP or USD,
  • the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.
account_numberstring
The bank account number. Required if the account currency is GBP or USD. UK account numbers typically contain 8 digits. US bank account numbers contain 9 to 12 digits.
account_number_last4string
The last 4 digits of the bank account number.
bank_namestring
The bank name.
bicstring

The SWIFT/BIC code of the bank.

countryenum

The country in which the bank account is registered, repsesented as a two-letter country code (ISO 3166-1 alpha-2).

currencyenum

The currency of the bank account, represented as a three-letter ISO currency code.

display_namestring

User-defined name of this bank account, such as ‘Primary account’ or ‘Savings account’.

ibanstring
The IBAN of the bank account. Required if the account currency is EUR.
is_default_for_currencybooleanDefaults to false
Indicates whether this bank account is the default one for its currency.
open_banking_verification_errorstring
Last verification error message
routing_numberstring

The bank’s routing transit number (RTN). Required if the account currency is USD. US routing numbers consist of 9 digits.

sort_codestring
The bank's sort code. Required if the account currency is GBP.
was_created_by_user_idstringformat: "uuid"

ID of the entity user who added this bank account, or null if it was added using a partner access token.

Errors

409
Post Bank Accounts Request Conflict Error
422
Post Bank Accounts Request Unprocessable Entity Error
500
Post Bank Accounts Request Internal Server Error

The country in which the bank account is registered, repsesented as a two-letter country code (ISO 3166-1 alpha-2).

The currency of the bank account, represented as a three-letter ISO currency code.

The name of the person or business that owns this bank account. Required in the following cases:

  • the account currency is GBP or USD,
  • the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.